io.undertow.server.handlers.proxy.mod_cluster

## Class NodeConfig

- java.lang.Object
- - io.undertow.server.handlers.proxy.mod_cluster.NodeConfig

    public class NodeConfig
    extends Object

The node configuration.

Author:
  Nabil Benothman, Emanuel Muckenhuber

### Nested Class Summary

Nested Classes
`static class` `NodeConfig.NodeBuilder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static NodeConfig.NodeBuilder` `builder(ModCluster modCluster)`
`String` `getBalancer()` Getter for balancer
`int` `getCacheConnections()` Get the amount of connections which should be kept alive in the connection pool.
`URI` `getConnectionURI()` Get the connection URI.
`String` `getDomain()` Getter for domain
`int` `getFlushwait()` Getter for flushwait
`String` `getJvmRoute()`
`int` `getMaxConnections()` Get the maximum connection limit for a nodes thread-pool.
`int` `getPing()` Getter for ping
`int` `getRequestQueueSize()` Get the max queue size for requests.
`int` `getSmax()` Getter for smax
`int` `getTimeout()` Getter for timeout
`long` `getTtl()` Getter for ttl
`boolean` `isFlushPackets()`
`boolean` `isQueueNewRequests()` Flag indicating whether requests without a session can be queued.
`void` `setFlushPackets(boolean flushPackets)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnectionURI

    public URI getConnectionURI()

Get the connection URI.

Returns:
  the connection URI

#### getDomain

    public String getDomain()

Getter for domain

Returns:
  the domain

#### getFlushwait

    public int getFlushwait()

Getter for flushwait

Returns:
  the flushwait

#### getPing

    public int getPing()

Getter for ping

Returns:
  the ping

#### getSmax

    public int getSmax()

Getter for smax

Returns:
  the smax

#### getTtl

    public long getTtl()

Getter for ttl

Returns:
  the ttl

#### getTimeout

    public int getTimeout()

Getter for timeout

Returns:
  the timeout

#### getBalancer

    public String getBalancer()

Getter for balancer

Returns:
  the balancer

#### isFlushPackets

    public boolean isFlushPackets()

#### setFlushPackets

    public void setFlushPackets(boolean flushPackets)

#### getJvmRoute

    public String getJvmRoute()

#### getMaxConnections

    public int getMaxConnections()

Get the maximum connection limit for a nodes thread-pool.

Returns:
  the max connections limit

#### getCacheConnections

    public int getCacheConnections()

Get the amount of connections which should be kept alive in the connection pool.

Returns:
  the number of cached connections

#### getRequestQueueSize

    public int getRequestQueueSize()

Get the max queue size for requests.

Returns:
  the queue size for requests

#### isQueueNewRequests

    public boolean isQueueNewRequests()

Flag indicating whether requests without a session can be queued.

Returns:
  true if requests without a session id can be queued

#### builder

    public static NodeConfig.NodeBuilder builder(ModCluster modCluster)